petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPConvergedSkip

Convergence test that do not return as converged until the maximum number of iterations is reached.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPConvergedSkip(KSP ksp,PetscInt n,PetscReal rnorm,KSPConvergedReason *reason,void *dummy)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context Many br
| n | - iteration number Many br
| rnorm | - 2-norm residual value (may be estimated) Many br
| dummy | - unused convergence context Many br

### Returns

reason -KSP_CONVERGED_ITERATING, KSP_CONVERGED_ITS Many br

### Notes

This should be used as the convergence test with the option Many brKSPSetNormType(ksp,KSP_NORM_NONE), since norms of the residual are Many brnot computed. Convergence is then declared after the maximum number Many brof iterations have been reached. Useful when one is using CG or Many brBiCGStab as a smoother. Many br

Many br

### Keywords

KSP, default, convergence, residual

### See Also

KSPSetConvergenceTest(), KSPSetTolerances(), KSPSetNormType()

Level:advanced
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages